Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.info
Interface PortletInfo

All Known Implementing Classes:
  ContainerPortletInfo, CorePortletInfoImpl, PortletInfoSupport, WSRPPortletInfo

    public interface PortletInfo

Runtime meta data for a portlet.

Since:
  2.4
Version:
  $Revision: 5448 $
Author:
  Julien Viet

Method Summary
`CacheInfo` | `getCache()` Retrieves caching-related information for the described portlet.
`CapabilitiesInfo` | `getCapabilities()` Retrieves the capabilities of supported by the described portlet.
`MetaInfo` | `getMeta()` Retrieves the portlet description (title, keywords, etc).
`PreferencesInfo` | `getPreferences()` Retrieves information about the preferences supported by the described portlet, it must return null if the portlet cannot be personalized.
`SecurityInfo` | `getSecurity()` Retrieves the security information for the described portlet.
`SessionInfo` | `getSession()` Retrieves session-related information for the described portlet.
`java.lang.Boolean` | `isRemotable()` Determines whether the described portlet can be accessed remotely (such as via WSRP) or not.

Method Detail

### getCapabilities

    CapabilitiesInfo getCapabilities()

  Retrieves the capabilities of supported by the described portlet.

  Returns:
    the capabilities of the portlet

### getPreferences

    PreferencesInfo getPreferences()

  Retrieves information about the preferences supported by the described portlet, it must return null if the portlet cannot be personalized.

  Returns:
    the preferences meta data of the portlet

### getMeta

    MetaInfo getMeta()

  Retrieves the portlet description (title, keywords, etc).

  Returns:
    the portlet description

### getSecurity

    SecurityInfo getSecurity()

  Retrieves the security information for the described portlet.

  Returns:
    the security information

### getCache

    CacheInfo getCache()

  Retrieves caching-related information for the described portlet.

  Returns:
    the caching related information

### getSession

    SessionInfo getSession()

  Retrieves session-related information for the described portlet. If no information is available then it returns the null value.

  Returns:
    the session related information

### isRemotable

    java.lang.Boolean isRemotable()

  Determines whether the described portlet can be accessed remotely (such as via WSRP) or not. Clients of this method should be prepare to handle a `null` return value expressing the fact that the remotable status hasn't been explicitely set.

  Returns:
    `Boolean.TRUE` if the described portlet can be accessed remotely, `Boolean.FALSE` if the described portlet cannot be accessed remotely, `null` if the value hasn't been specified explicitely for the associated portlet.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD